/**
 * Electronic Ticketing System (ETS)
 * Copyright (C) 2006, Magnus Egeberg
 * 
 * This file is part of ETS.
 * 
 * ETS is a program for using the mobile phone as a contactless electronic ticket.
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details.
 */

/**
 * APDUCommandException is used to catch errors from APDU exchange
 * 
 * @author Magnus Egeberg
 * @since 1.0
 */
public class APDUCommandException extends Exception {
	
	/**
	 * Constructs an exception with the specific message
	 * 
	 * @param msg The specofoc message
	 */
	public APDUCommandException(String text) {
            super(text);
        }

	/**
	 * Constructs an exception with the specific response codes
	 * 
	 * @param one response byte one
	 * @param two response byte two
	 */
     public APDUCommandException(byte one, byte two) {
    	 super("0x" + one + " 0x" + two);
     }
    }